Версия API Graph

Instagram Business Asset Agencies

Чтение

Returns the Businesses and Agencies that have permissions on the Instagram Business Asset

Requirements

  • The business_management permission for the business that owns the Instagram Business Asset

Пример

Graph API Explorer
GET /v25.0/{instagram-business-asset-id}/agencies HTTP/1.1
Host: graph.facebook.com
/* PHP SDK v5.0.0 */
/* make the API call */
try {
  // Returns a `Facebook\FacebookResponse` object
  $response = $fb->get(
    '/{instagram-business-asset-id}/agencies',
    '{access-token}'
  );
} catch(Facebook\Exceptions\FacebookResponseException $e) {
  echo 'Graph returned an error: ' . $e->getMessage();
  exit;
} catch(Facebook\Exceptions\FacebookSDKException $e) {
  echo 'Facebook SDK returned an error: ' . $e->getMessage();
  exit;
}
$graphNode = $response->getGraphNode();
/* handle the result */
/* make the API call */
FB.api(
    "/{instagram-business-asset-id}/agencies",
    function (response) {
      if (response && !response.error) {
        /* handle the result */
      }
    }
);
/* make the API call */
new GraphRequest(
    AccessToken.getCurrentAccessToken(),
    "/{instagram-business-asset-id}/agencies",
    null,
    HttpMethod.GET,
    new GraphRequest.Callback() {
        public void onCompleted(GraphResponse response) {
            /* handle the result */
        }
    }
).executeAsync();
/* make the API call */
FBSDKGraphRequest *request = [[FBSDKGraphRequest alloc]
                               initWithGraphPath:@"/{instagram-business-asset-id}/agencies"
                                      parameters:params
                                      HTTPMethod:@"GET"];
[request startWithCompletionHandler:^(FBSDKGraphRequestConnection *connection,
                                      id result,
                                      NSError *error) {
    // Handle the result
}];
Чтобы узнать, как использовать API Graph, ознакомьтесь с нашим руководством по API Graph.

Параметры

Эта конечная точка не содержит параметров.

Поля

При чтении с данной границы контекста будет возвращен результат в формате JSON:

{ "data": [], "paging": {} }

data

Список узлов «Business».

paging

Для получения дополнительных сведений о пагинации смотрите Руководство по API Graph.

Создание

Giving an agency access to an Instagram business asset lets them work on tasks you assign to them, including using APIs to manage tasks. The Instagram business asset will remain in your portfolio.

Вы можете сделать запрос POST к границе agencies из этих местоположений:
When posting to this edge, no Graph object will be created.

Параметры

ПараметрОписание
business
numeric string

The business ID of the agency that you want to assign to this Instagram Business Asset

Обязательно
permitted_tasks
array<enum {CONTENT, MESSAGES, COMMUNITY_ACTIVITY, ADVERTISE, ANALYZE}>

Tasks that you want to assign to the agency

Обязательно

Тип возврата

Эта конечная точка поддерживает чтение после записи и будет считывать узел, в который вы сделали публикацию.
Struct {
success: bool,
}

Error Codes

ОшибкаОписание
100Invalid parameter

Обновление

Нельзя выполнить эту операцию в этой конечной точке.

Удаление

Вы можете отменить связывание a Business и an InstagramBusinessAsset, отправив запрос DELETE на адрес /{instagram_business_asset_id}/agencies.

Параметры

ПараметрОписание
business
numeric string

The business ID of the agency that you want to revoke access for the Instagram Business Asset

Обязательно

Тип возврата

Struct {
success: bool,
}